OGRE: Ogre::TerrainLayerSamplerElement Struct Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::TerrainLayerSamplerElement Struct Reference
Components » Terrain

Information about one element of a sampler / texture within a layer. More...

`#include <OgreTerrainMaterialGenerator.h>`

## Public Member Functions
| TerrainLayerSamplerElement ()
| TerrainLayerSamplerElement (uint8 src, TerrainLayerSamplerSemantic sem, uint8 elemStart, uint8 elemCount)
bool | operator== (const TerrainLayerSamplerElement &e) const

## Public Attributes
uint8 | elementCount
| The number of colour elements this semantic uses (usually standard per semantic) More...
uint8 | elementStart
| The colour element at which this element starts. More...
TerrainLayerSamplerSemantic | semantic
| The semantic this element represents. More...
uint8 | source
| The source sampler index of this element relative to LayerDeclaration's list. More...

## Detailed Description

Information about one element of a sampler / texture within a layer.

## Constructor & Destructor Documentation

## ◆ TerrainLayerSamplerElement() [1/2]

Ogre::TerrainLayerSamplerElement::TerrainLayerSamplerElement | ( |  | ) |
| inline

## ◆ TerrainLayerSamplerElement() [2/2]

Ogre::TerrainLayerSamplerElement::TerrainLayerSamplerElement | ( | uint8 | src,
|  | TerrainLayerSamplerSemantic | sem,
|  | uint8 | elemStart,
|  | uint8 | elemCount
| ) |  |
| inline

## Member Function Documentation

## ◆ operator==()

bool Ogre::TerrainLayerSamplerElement::operator== | ( | const TerrainLayerSamplerElement & | e | ) | const
| inline

References elementCount, elementStart, semantic, and source.

## Member Data Documentation

## ◆ elementCount

uint8 Ogre::TerrainLayerSamplerElement::elementCount

The number of colour elements this semantic uses (usually standard per semantic)

Referenced by operator==().

## ◆ elementStart

uint8 Ogre::TerrainLayerSamplerElement::elementStart

The colour element at which this element starts.

Referenced by operator==().

## ◆ semantic

TerrainLayerSamplerSemantic Ogre::TerrainLayerSamplerElement::semantic

The semantic this element represents.

Referenced by operator==().

## ◆ source

uint8 Ogre::TerrainLayerSamplerElement::source

The source sampler index of this element relative to LayerDeclaration's list.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- OgreTerrainMaterialGenerator.h